Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmForumItem

All Known Subinterfaces:
  ICmForum, ICmForumCategory, ICmTopic, ICmTopicSupport

    public interface ICmForumItem

This interface is used to define any type of forum item.

Field Summary
`static Key` | `AUTHOR` Key representing the author name.
`static Key` | `BODY` Key representing the body of the category.
`static Key` | `CONTENT_TYPE` Key representing the content type of the body of the category.
`static Key` | `DATE_CREATED` Key representing the created date of the category.
`static Key` | `DATE_LAST_MODIFIED` Key representing the last modified date of the category.
`static int` | `KEYID_AUTHOR` The `int` id for the `AUTHOR` key.
`static int` | `KEYID_BODY` The `int` id for the `BODY` key.
`static int` | `KEYID_CONTENT_TYPE` The `int` id for the `CONTENT_TYPE` key.
`static int` | `KEYID_DATE_CREATED` The `int` id for the `DATE_CREATED` key.
`static int` | `KEYID_DATE_LAST_MODIFIED` The `int` id for the `DATE_LAST_MODIFIED` key.
`static int` | `KEYID_KEYWORDS` The `int` id for the `KEYWORDS` key.
`static int` | `KEYID_MASK_AUTHOR` The `int` id for the `MASK_AUTHOR` key.
`static Key` | `KEYWORDS` Key representing the keywords for the category.
`static Key` | `MASK_AUTHOR` Key representing the setting for masking an author's name.

Method Summary
`String` | `getAuthor()` Gets the author.
`String` | `getBody()` Gets the plain text body.
`String` | `getBodyContentType()` Gets the content type of the body.
`Date` | `getDateCreated()` Gets the date the item was created.
`Date` | `getDateLastModified()` Gets the date the item was last modified.
`String[]` | `getKeywords()` Gets the keywords for the item
`boolean` | `getMaskAuthor()` Gets if the author should be masked.
`String` | `getName()` Gets the name of this item.
`void` | `setAuthor(String sAuthor)` Sets the author.
`void` | `setBody(String sBody, String sContentType)` Sets the plain text body.
`void` | `setKeywords(String[] sKeywords)` Sets the keywords.
`void` | `setMaskAuthor(boolean bMask)` Sets if the author should be masked.
`void` | `setName(String sName)` Gets the name of this item.

Field Detail

### KEYID_AUTHOR

    static final int KEYID_AUTHOR

  The `int` id for the `AUTHOR` key.

  See Also
    Constants Summary

### KEYID_DATE_CREATED

    static final int KEYID_DATE_CREATED

  The `int` id for the `DATE_CREATED` key.

  See Also
    Constants Summary

### KEYID_DATE_LAST_MODIFIED

    static final int KEYID_DATE_LAST_MODIFIED

  The `int` id for the `DATE_LAST_MODIFIED` key.

  See Also
    Constants Summary

### KEYID_BODY

    static final int KEYID_BODY

  The `int` id for the `BODY` key.

  See Also
    Constants Summary

### KEYID_CONTENT_TYPE

    static final int KEYID_CONTENT_TYPE

  The `int` id for the `CONTENT_TYPE` key.

  See Also
    Constants Summary

### KEYID_KEYWORDS

    static final int KEYID_KEYWORDS

  The `int` id for the `KEYWORDS` key.

  See Also
    Constants Summary

### KEYID_MASK_AUTHOR

    static final int KEYID_MASK_AUTHOR

  The `int` id for the `MASK_AUTHOR` key.

  See Also
    Constants Summary

### AUTHOR

    static final Key AUTHOR

  Key representing the author name.

### MASK_AUTHOR

    static final Key MASK_AUTHOR

  Key representing the setting for masking an author's name.

### DATE_CREATED

    static final Key DATE_CREATED

  Key representing the created date of the category.

### DATE_LAST_MODIFIED

    static final Key DATE_LAST_MODIFIED

  Key representing the last modified date of the category.

### BODY

    static final Key BODY

  Key representing the body of the category.

### CONTENT_TYPE

    static final Key CONTENT_TYPE

  Key representing the content type of the body of the category.

### KEYWORDS

    static final Key KEYWORDS

  Key representing the keywords for the category.

Method Detail

### getAuthor

    String getAuthor()
                     throws CollaborationException

  Gets the author.

  Returns
    the author
  Throws
    `CollaborationException` - if there was an error getting the author
  See Also
    `setAuthor(String)`

### setAuthor

    void setAuthor(String sAuthor)
                   throws CollaborationException

  Sets the author.

  Parameters
    `sAuthor` - the author
  Throws
    `CollaborationException` - if there was an error setting the author

### getBody

    String getBody()
                   throws CollaborationException

  Gets the plain text body.

  Returns
    the body
  Throws
    `CollaborationException` - if there was an error getting the description
  See Also
    `#setBody(String)`

### getBodyContentType

    String getBodyContentType()
                              throws CollaborationException

  Gets the content type of the body.

  Returns
    cotent type
  Throws
    `CollaborationException` - if there was an error getting the description
  See Also
    `#setBody(String)`

### setBody

    void setBody(String sBody,
                 String sContentType)
                 throws CollaborationException

  Sets the plain text body.

  Parameters
    `sBody` - the body
  Throws
    `CollaborationException` - if there was an error setting the body

### getDateCreated

    Date getDateCreated()
                        throws CollaborationException

  Gets the date the item was created.

  Returns
    the created date
  Throws
    `CollaborationException` - if there was an error getting the creation date

### getDateLastModified

    Date getDateLastModified()
                             throws CollaborationException

  Gets the date the item was last modified.

  Returns
    the last modified date
  Throws
    `CollaborationException` - if there was an error getting the last modified date

### getKeywords

    String[] getKeywords()
                         throws CollaborationException

  Gets the keywords for the item

  Returns
    the keywords
  Throws
    `CollaborationException` - if there was an error getting the keywords
  See Also
    `setKeywords(String[])`

### setKeywords

    void setKeywords(String[] sKeywords)
                     throws CollaborationException

  Sets the keywords.

  Parameters
    `sKeywords` - the keywords
  Throws
    `CollaborationException` - if there was an error setting the keywords

### getMaskAuthor

    boolean getMaskAuthor()
                          throws CollaborationException

  Gets if the author should be masked.

  Returns
    if the author should be masked
  Throws
    `CollaborationException` - if there was an error getting if the author should be masked
  See Also
    `setMaskAuthor(boolean)`

### setMaskAuthor

    void setMaskAuthor(boolean bMask)
                       throws CollaborationException

  Sets if the author should be masked.

  Parameters
    `bMask` - if the author should be masked
  Throws
    `CollaborationException` - if there was an error setting if the author should be masked

### getName

    String getName()

  Gets the name of this item. The name is usually a statement describing the subject matter of the item

  Returns
    name

### setName

    void setName(String sName)
                 throws CollaborationException

  Gets the name of this item. The name is usually a statement describing the subject matter of the item

  Throws
    `CollaborationException` - if there was an error getting the name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved